[![pipeline status](https://gitlab.com/XenGi/desec-dns-api/badges/master/pipeline.svg)](https://gitlab.com/XenGi/desec-dns-api/commits/master)
[![coverage report](https://gitlab.com/XenGi/desec-dns-api/badges/master/coverage.svg)](https://gitlab.com/XenGi/desec-dns-api/commits/master)
[![pypi](https://img.shields.io/pypi/v/desec-dns-api)](https://pypi.org/project/desec-dns-api/)
[![aur](https://img.shields.io/aur/version/python-desec-dns-api)](https://aur.archlinux.org/packages/python-desec-dns-api/)

# desec-dns-api

Python library wrapper for [deSEC DNS API][api]. Used by [desec-dns-cli][cli] and [ansible-desec-dns][ansible].

# Installation

Arch Linux:

```
yay -S python-desec-dns-api
```

Python (user install):

```
pip install --user desec-dns-cli
```

# Usage

Here's a simple example:

```python
from desec_dns_api.account import login, info

auth_token = login('foobar@example.com', 'supersecure123!')
print(info(auth_token))
```

---

Made with ❤️ and 🐍.


[api]: https://desec.io
[cli]: https://gitlab.com/xengi/desec-dns-cli
[ansible]: https://gitlab.com/xengi/ansible-desec-dns
